%{?nodejs_find_provides_and_requires}

%global commit 8881c4a806604deabe958f37e51672a65ef150fe
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global enable_tests 0

Name:           nodejs-http-signature
Version:        0.11.0
Release:        1%{?dist}
Summary:        Reference implementation of Joyent's HTTP Signature Scheme
BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/joyent/node-http-signature
Source0:        http://registry.npmjs.org/http-signature/-/http-signature-%{version}.tgz
#grab the tests from github
Source1:        https://github.com/joyent/node-http-signature/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:      nodejs-packaging

%if 0%{?enable_tests}
#for tests
BuildRequires:  npm(tap)
BuildRequires:  npm(node-uuid)
BuildRequires:  npm(assert-plus)
BuildRequires:  npm(asn1)
BuildRequires:  npm(ctype)
%endif

%description
nodejs-http-signature is a node.js library that has client and server components 
for Joyent's HTTP Signature Scheme.

%prep
%setup -q -n package

%nodejs_fixdep assert-plus '~0.1.2'
%nodejs_fixdep ctype '~0.5.3'
%nodejs_fixdep asn1 '~0.1.11'

%if 0%{?enable_tests}
#move tests into regular directory
mv node-http-signature-%{commit}/test .
rm -rf node-http-signature-%{commit}
%endif

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/http-signature
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/http-signature

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%tap test/*.js
%endif

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/http-signature
%doc LICENSE README.md http_signing.md

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 0.11.0-3
- Update to 0.11.0
- Remove tests until all dependencies are built

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-3
- restrict to compatible arches

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-2
- grab tests from GitHub
- relax dependency on npm(asn1)

* Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-1
- initial package
